Subject: RE: [dhcwg] Re: WG last call ondraft-ietf-dhc-dhcpv6-opt-dnsconfig-02.txt

From: "BELOEIL Luc FTRD/DMI/CAE" <[email-masked]>
Date: Fri, 21 Feb 2003 10:07:13 +0100

Hi all, 

> De : Alain Durand [mailto:[email-masked]]
>
> On Thursday, February 20, 2003, at 10:25  PM, Pekka Savola wrote:
> 
> > On Thu, 20 Feb 2003, Alain Durand wrote:
> >> On Thursday, February 20, 2003, at 12:03  PM, Ralph Droms wrote:
> >>> If it's unclear, then we should edit the document to explicitly
> >>> identify the addresses as IPv6 addresses.
> >>>
> >>> This option is intended to return IPv6 configuration information.
> >>> IPv4 addresses for DNS resolvers should be provided 
> through DHCPv4...
> >
> > I symphatize with this -- there are some uses to have DHCPv6 return 
> > IPv4
> > addresses too -- but the result would just make the 
> dnsconfig option 
> > more
> > complex for little benefit.  Let's face it: if you deploy 
> DHCPv6, you
> > really should have long since deployed IPv6-enabled nameservers too.
> >
> > So, I think clarifying the scope to do only IPv6 seems like the best
> > option by far.
> 
> 
> Some may scream at this idea, but couldn't we pass an IPv4-mapped 
> address
> in there? The DHCPv6 client could recognize this special format
> to mean this is actually a v4 address?
> 

I feel ill at ease with such a solution. How your DHCPv6 client, running
a node, is aware that there is an IPv4 stack enable on that same node ?
If it is not, v4-mapped addresses could be harmfull, couldn't they ?

> 
> >
> >> Now, let's say that this is the case for DHCP, what should 
> a node that
> >> act both as a DHCPv4 and DHCPv6 client do when it will be 
> returned two
> >> lists of recursive DNS serves, one IPv4 via DHCPv4 and one IPv6 via
> >> DHCPv6. Which one should take priority?
> >
> > Implementation decision, but I guess typically the results of the
> > latest query take precedence.  I don't see a problem here, myself.
> 
> Unpredictable behavior. Difficult to debug.
> 
> 	 - Alain.
> 

Good remark! I understand the point/issue if IPv6 provider is not the
same as IPv4 one. By that way the node may not have the same global
vision of the Domain Name System! 
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Pekka Savola <[email-masked]>
Date: Fri, 21 Feb 2003 11:29:54 +0200 (EET)

> vision of the Domain Name System! 

I'm having a difficulty seeing the point.  A similar situation happens if 
the user has manually configured a few nameservers in /etc/resolv.conf and 
then runs either DHCPv4 / DHCPv6.

Is it IETF's business to specify whether or not (and if so, how) the
entries should be overwritten, prepended/appended, etc. ?  Is this done
now with DHCPv4?

I'm not so sure, but something like "DNS servers configured through this
option should take precedence if some existed beforehand" would be
acceptable to me Note *no* RFC2119 upper-case keywords.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: Mika Liljeberg <[email-masked]>
Date: 22 Feb 2003 13:03:00 +0200

> > to mean this is actually a v4 address?

I think this is a good idea.

> If it is not, v4-mapped addresses could be harmfull, couldn't they ?

Not really. Why would a network administrator advertise IPv4 DNS servers
on a network with IPv6 only nodes?

Even if there are some IPv6 only nodes on the network, the host resolver
on those nodes will simply try to use the IPv4-mapped address and fail,
and move on the the next one as it would do with any malfunctioning DNS
server.

I don't think the DHCP client has to care whether IPv4 is enabled on the
node (although it could attempt to check that). All it has to do is
configure the DNS addresses and let the host resolver take it from
there.

	MikaL